Category: Forms
Crashes QGIS or corrupts data:No Copied to github as #: 25952

Description

Hi,

I created geopackage layer and added three new fields:

date (type: QDateTime)

date_mod (type: QDateTime)

user (type QString(100))

and then I modified form properties (default values) for this new fields, as follows:

I chose for date field function now(), for date_mod function now() and check option "Apply deafault value on update", and for user field

variable  @user_full_name.

After then I created new feature and clicked OK button in the form of feature attributes. 

Unfortunately after the changes were accepted, the new feature wasn't added.

I discovered that the problem lies in a fid field, which default value is Autogenerate.

The new feature is added if I clear the field using the cross button, and then clicked OK button.

I hope I expressed it clearly.

Associated revisions

Revision 9da5fd32 - 2018-02-09 01:44 AM - Nyall Dawson

Always save newly created features, even if no attributes are

modified in the form popup after feature creation

Fixes #18056

History

#1 - 2018-02-08 06:09 AM - Nyall Dawson

- Regression? changed from No to Yes

#2 - 2018-02-08 06:10 AM - Nyall Dawson

- Priority changed from Normal to High

- Subject changed from Problem with autogenarate fid during geopackage editing - QGIS 2.99 to New features are not added if attributes are not 

changed in new feature form dialog

The problem is more extensive than that - regardless of the layer, creating a new feature and clicking "OK" without changing any attributes in the dialog
will result in the feature being discarded silently.

#3 - 2018-02-09 01:44 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|9da5fd325e0a363b0754a68fd615315c0646af76.

#4 - 2018-02-21 06:59 PM - Giovanni Manghi

- Resolution set to fixed/implemented
